For the complete documentation index, see llms.txt. This page is also available as Markdown.

Data Set

dataSet

DataSet Select folder

put

Select Folder for DataSet

Path parameters
idintegerRequired

The DataSet ID

Body
folderIdintegerRequired

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class DataSet

dataSetIdintegerOptional

The dataSetId

dataSetstringOptional

The dataSet Name

descriptionstringOptional

The dataSet description

userIdintegerOptional

The userId of the User that owns this DataSet

lastDataEditintegerOptional

Timestamp indicating the date/time this DataSet was edited last

ownerstringOptional

The user name of the User that owns this DataSet

groupsWithPermissionsstringOptional

A comma separated list of Groups/Users that have permission to this DataSet

codestringOptional

A code for this Data Set

isLookupintegerOptional

Flag to indicate whether this DataSet is a lookup table

isRemoteintegerOptional

Flag to indicate whether this DataSet is Remote

isRealTimeintegerOptional

Flag to indicate whether this DataSet is Real time

dataConnectorSourcestringOptional

Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.

methodstringOptional

Method to fetch the Data, can be GET or POST

uristringOptional

URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.

postDatastringOptional

Data to send as POST-Data to the remote host with the same Replacements as in the URI.

authenticationstringOptional

Authentication method, can be none, digest, basic

usernamestringOptional

Username to authenticate with

passwordstringOptional

Corresponding password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom User agent

refreshRateintegerOptional

Time in seconds this DataSet should fetch new Datas from the remote host

clearRateintegerOptional

Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed

truncateOnEmptyintegerOptional

Flag whether to truncate DataSet data if no new data is pulled from remote source

runsAfterintegerOptional

DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched

lastSyncintegerOptional

Last Synchronisation Timestamp

lastClearintegerOptional

Last Clear Timestamp

dataRootstringOptional

Root-Element form JSON where the data are stored in

summarizestringOptional

Optional function to use for summarize or count unique fields in a remote request

summarizeFieldstringOptional

JSON-Element below the Root-Element on which the consolidation should be applied on

sourceIdintegerOptional

The source id for remote dataSet, 1 - JSON, 2 - CSV

ignoreFirstRowintegerOptional

A flag whether to ignore the first row, for CSV source remote dataSet

rowLimitintegerOptional

Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.

limitPolicystringOptional

Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate

csvSeparatorstringOptional

Custom separator for CSV source, comma will be used by default

folderIdintegerOptional

The id of the Folder this DataSet belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this DataSet

put/dataset/{id}/selectfolder
PUT /api/dataset/{id}/selectfolder HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"folderId=1"
200

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Last updated

Was this helpful?